Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: proxy: squid en squid3 verwijderen  (gelezen 607 keer)

Offline kevinx

  • Lid
  • Steunpunt: Nee
proxy: squid en squid3 verwijderen
« Gepost op: 2012/07/03, 07:00:26 »
Ik heb een upgrade van 11.10 naar 12.04 gedraaid en wrijwel alles ging goed. Alleen de Squid proxy server  is niet helemaal goed geupgrade. Volgens mij lopen er nu twee versies door elkaar; de squid en de squid3. Nu wil ik beide graag deïnstalleren en de squid3 opnieuw installeren. Maar ik weet niet hoe ik deze beide versies kan deïnstalleren.

Weet iemand hoe ik veilig beide versies van de server af kan krijgen?


Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: proxy: squid en squid3 verwijderen
« Reactie #1 Gepost op: 2012/07/03, 07:27:45 »
Het pakket squid is alleen een "overgangspakket" voor squid3, zie hier: http://packages.ubuntu.com/precise/squid
Het enige wat het squid pakket doet is zorgen dat het pakket squid3 geïnstalleerd wordt, verder niets.
Je kan dat pakket dus gewoon verwijderen als je wil, maar dat hoeft in principe niet.

Offline kevinx

  • Lid
  • Steunpunt: Nee
Re: proxy: squid en squid3 verwijderen
« Reactie #2 Gepost op: 2012/07/15, 02:47:02 »
Ik heb nog altijd problemen er mee. Als ik het probeer te installeren krijg ik de volgende:


Installeer pakket (ten) met de opdracht apt-get -y --force-yes -f install squid ..


dpkg: dependency problems prevent configuration of squid3:
 squid3 depends on squid3-common (= 3.1.19-1ubuntu2); however:
  Version of squid3-common on system is 3.1.19-1ubuntu3.12.04.1.
dpkg: error processing squid3 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of squid:
 squid depends on squid3; however:
  Package squid3 is not configured yet.
dpkg: error processing squid (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 squid3
 squid
Reading package lists...
Building dependency tree...
Reading state information...
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 squid3 : Depends: squid3-common (= 3.1.19-1ubuntu2) but 3.1.19-1ubuntu3.12.04.1 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

.. installatie mislukte!


En ik heb dus ook ' apt-get -f install -y' gepobeerd met onderstaande als resultaat:

> apt-get -f install -y
Pakketlijsten worden ingelezen...
Boom van vereisten wordt opgebouwd...
De status informatie wordt gelezen...
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  squid3
Voorgestelde pakketten:
  squidclient squid-cgi smbclient
De volgende pakketten zullen opgewaardeerd worden:
  squid3
1 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd.
2 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/1523 kB aan archieven opgehaald worden.
Door deze operatie zal er 224 kB extra schijfruimte gebruikt worden.
dpkg: vereistenproblemen verhinderen de configuratie van squid3:
 squid3 is afhankelijk van squid3-common (= 3.1.19-1ubuntu2); maar:
  Versie van squid3-common op dit systeem is 3.1.19-1ubuntu3.12.04.1.
dpkg: fout bij afhandelen van squid3 (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Er is geen apport-verslag weggeschreven omdat de foutmelding volgt op een eerdere mislukking.
dpkg: vereistenproblemen verhinderen de configuratie van squid:
 squid is afhankelijk van squid3; maar:
  Pakket squid3 is nog niet geconfigureerd.
dpkg: fout bij afhandelen van squid (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Er is geen apport-verslag weggeschreven omdat de foutmelding volgt op een eerdere mislukking.
Fouten gevonden tijdens behandelen van:
 squid3
 squid
E: Sub-process /usr/bin/dpkg returned an error code (1)

 
 
Wat moet ik doen om bovenstaande problemen op te lossen?